Summary: A gtk2 frontend for rdesktop
Name: grdesktop
Version: 0.22
Release: 2mdk
Group: Networking/Remote access
License: GPL
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.nongnu.org/grdesktop/
Requires: rdesktop
BuildRequires: libgnomeui2-devel
BuildRequires: scrollkeeper
BuildRequires: ImageMagick

%description
grdesktop is a frontend, written in C using the GTK+ 2 toolkit, for
the remote desktop client (rdesktop).
It can save several connections (including their options), and browse
the network for available terminal servers.

%prep
%setup -q


%build
%configure2_5x --with-keymap-path=%_datadir/rdesktop/keymaps
%make

%install
rm -rf %buildroot
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
# create cache files
touch $RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}/C/%name.html

%find_lang %name --with-gnome 
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/%name/icon.png %buildroot%_liconsdir/%name.png
convert -scale 32x32 pixmaps/icon.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 pixmaps/icon.png %buildroot%_miconsdir/%name.png

install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	needs="X11" \
	section="Networking/Remote access" \
	icon="%name.png" \
	title="Rdesktop" \
	longtitle="Connect to Windows Terminal Servers" \
	startup_notify="true"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
if [ -x %{_bindir}/yelp-pregenerate ]; then %{_bindir}/yelp-pregenerate %{_datadir}/gnome/help/%{name}/*/%{name}.xml > /dev/null || true ; fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/grdesktop.schemas > /dev/null
%update_menus

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/grdesktop.schemas > /dev/null

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%_sysconfdir/gconf/schemas/grdesktop.schemas
%{_bindir}/grdesktop
%{_mandir}/man1/grdesktop.1*
%_datadir/application-registry/grdesktop.applications
%_datadir/applications/grdesktop.desktop
%_datadir/mime-info/grdesktop.keys
%_datadir/mime-info/grdesktop.mime
%{_datadir}/pixmaps/grdesktop/
%_datadir/omf/grdesktop
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%ghost %{_datadir}/gnome/help/%{name}/*/%{name}.html

%changelog
* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.22-2mdk
- fix rdesktop keymap location

* Thu Feb  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.22-1mdk
- initial Mandrake package

* Tue Nov 12 2002 Che
- version upgrade
- prettyfied it a bit :P

* Fri Nov 01 2002 Che
- initial rpm release
